Foreman - Bug #17813

audits API can't search on LookupValue type
12/21/2016 05:01 AM - Shlomi Zadok

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: Search
Target version: 1.14.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1406175 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4124
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1406175
Description of problem:

When a user modifies a matcher in a smart param, this is logged as an audit event with auditable_type = LookupValue:

{
"user_id": 3,

"user_type": null,

"user_name": "admin",

"version": 4,

"comment": null,

"associated_id": 168,

"associated_type": "LookupKey",

"remote_address": "192.168.0.0",

"associated_name": "cs_puppet_config_csl31::naming_services_0001::nameservers",
"created_at": "2016-12-14 00:17:44 UTC",

"id": 15285,

"auditable_id": 53,

"auditable_name": "hostgroup=ORGANIZATION/CH/TESTING",

"auditable_type": "LookupValue",

"action": "update”,

"audited_changes": {

"value": [

[
"192.168.0.0",
"192.168.0.0"
1
[
"192.168.0.0"

]

—— e —

But | can't query these reports directly:
Doing this:

https://satellite.example.com/api/v2/audits?search=type=L ookupValue

Returns this:

{

"error": {
"message": "auditable_type' should be one of 'host, parameter, architecture, puppetclass, os, hostgroup, template’, but the query
https://bugzilla.redhat.com/show_bug.cgi?id=1406175
https://satellite.example.com/api/v2/audits?search=type=LookupValue

was 'LookupValue™,
"class": "ScopedSearch::QueryNotSupported”

}
}

Version-Release number of selected component (if applicable):

How reproducible:

Very

Steps to Reproduce:

1. use https:/satellite.example.com/api/v2/audits ?search=type=LookupValue

2.
3.

Actual results:

{

"error": {

"message": "auditable_type' should be one of 'host, parameter, architecture, puppetclass, os, hostgroup, template’, but the query
was 'LookupValue™,

"class": "ScopedSearch::QueryNotSupported”

}
}

Expected results:
for it to return the correct data.

Additional info:

Related issues:
Related to Foreman - Bug #18690: Cannot query most auditable_types in API Closed 02/27/2017

Associated revisions

Revision 5cda7bd0 - 12/21/2016 10:59 AM - Shlomi Zadok
Fixes #17813 - Add type=LookupValue to Audit search

Revision f32bcdd7 - 01/30/2017 11:01 AM - Shlomi Zadok
Fixes #17813 - Add type=LookupValue to Audit search

(cherry picked from commit 5cda7bd0f10e9f57a6c9caad629ca1d060c8e33b)

History

#1 - 12/21/2016 05:08 AM - Dominic Cleal
- Category set to Search

- Priority changed from High to Normal

#2 - 12/21/2016 05:09 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/4124 added

#3 - 12/21/2016 11:02 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5cda7bd0f10e9f57a6c9caad629cald060c8e33b.

#4 - 12/22/2016 03:58 AM - Dominic Cleal
https://satellite.example.com/api/v2/audits?search=type=LookupValue
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5cda7bd0f10e9f57a6c9caad629ca1d060c8e33b

- Subject changed from audits API can't search on some types to audits APl can't search on LookupValue type

- translation missing: en.field_release set to 210

#5 - 02/27/2017 06:46 AM - Marek Hulan
- Related to Bug #18690: Cannot query most auditable_types in APl added
